.product-main-container {
  .heading-three {
    display: flex;
    justify-content: space-between;
    margin-bottom: 3px;
    .add-product-comment {
      min-width: unset;
    }
  }
}

.agreement-product-block {
  .product-bundle-main {
    display: flex;
    border-radius: 5px;
    padding: 5px 10px 2px 10px;
    margin-bottom: 10px;

    .agr-product-comment {
      display: flex;
      padding: 0;
      align-items: center;
      width: 100%;
      .comment-actions {
        display: flex;
        gap: 23px;
        .confirm-help-icon .btn.delete-confirm-btn {
          margin-left: 0;
        }
      }
      .agr-product-comment-input {
        padding: 0 10px;
      }
    }

    .agreement-product-details {
      width: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      .single-product-details {
        padding: 0;
        margin-bottom: 10px;
        display: flex;
        align-items: center;
        overflow: hidden;
        text-overflow: ellipsis;
        border: 1px solid var(--tile-bg);
        flex-wrap: nowrap;
        color: #333;
        .radio-btn {
          gap: 4px;
          margin-right: 3px;
          input[type="radio"] {
            margin: 0;
          }

          .agr-product-icon {
            background-color: transparent !important;
            background-size: 20px !important;
            &:hover,
            &:focus,
            &:active {
              background-color: transparent !important;
              background-size: 22px !important;
            }
          }

          .required-icon-placeholder {
            width: 27px;
          }
        }

        > div {
          padding-top: 5px;
          padding-right: 10px;
        }

        .no-padding-top {
          padding-top: 0 !important;
        }

        .no-error {
          .field__error {
            display: none;
          }
        }

        .product-quantity-input {
          padding: 0;
          width: 75px;
          margin: 0 auto;

          .field__label {
            padding: 0;
          }
        }

        :nth-child(n + 4) {
          text-align: center;
        }

        :first-child,
        :nth-child(2) {
          word-break: break-word;
        }
      }
    }
  }

  .quantity-col {
    width: 75px;
  }

  .billing-col {
    width: 125px;
  }

  .name-col {
    width: 15%;
    flex-grow: 1;
  }

  .extended-cost-col {
    width: 120px;
  }

  .cost-column {
    width: 100px;
  }

  .desc-col {
    width: 20%;
    flex-grow: 2;
  }
  .product-bundle-main-header {
    display: flex;
    min-height: 50px;
    border-radius: 5px;
    font-weight: 600;
    padding: 0 10px;

    .first-col {
      width: 5%;
    }

    .agreement-product-header {
      width: 100%;
      display: flex;
      align-items: center;
      .header-placeholder {
        width: 92px;
      }

      :nth-child(n + 4) {
        text-align: center;
      }
      > div {
        padding-right: 10px;
      }
    }
  }
}

.agreement-product-block.ordering-mode {
  div.row.field__input input:not([type="radio"]):disabled {
    cursor: move;
  }
  .radio-btn,
  .comment-actions {
    z-index: -1;
    opacity: 0;
  }
  .agr-product-comment-input {
    margin-bottom: 17px;
  }
}

.service-cost-agreement-temp {
  margin-top: 20px;
  .section-heading {
    font-weight: 700;
    border-bottom: 1px solid #ccc;
    padding: 5px 0px;
    background-color: white;
    text-transform: uppercase;
    display: flex;
    justify-content: space-between;
    margin: 0 0 0 5px;
  }

  .sub-heading {
    padding: 5px 0 2px 10px;
  }

  .slider {
    padding: 0 0 0 10px;
  }

  #agr-service-cost-content > .field-section {
    padding: 15px;
  }

  .agr-service-cost-value {
    background: #e7e7e7;
    width: 100%;
    border-radius: 2px;
    height: var(--input-height);
    border: solid 1px #e5e5e5;
    outline: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    outline: none;
    padding: 0 15px 0 15px;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: 2.53;
    letter-spacing: 0.2px;
    color: #222222;
  }

  .range-box {
    padding: 20px 15px 15px;

    .range-box-label {
      padding: 5px 0;
      font-weight: 600;
      color: var(--grey-label);
    }

    .slider {
      padding: 0;
    }
  }
}

#product-main-error {
  font-size: var(--font-s);
  color: red;
}

.agr-container {
  display: flex;
  height: 88vh;

  .add-agreement {
    overflow: auto;
    > .loader {
      position: fixed;
      left: 47%;
    }

    .pax8-quoted-products-section {
      margin-top: 0 !important;
      h3 {
        margin-bottom: 3px;
      }
    }

    .select-type {
      padding: 15px;
    }

    .agr-add-edit-header {
      display: flex;
      justify-content: space-between;
    }

    .agr-validations-error-quote {
      color: red;
      font-family: var(--font-first);
      font-size: var(--font-s);
      min-height: 17px;
      display: block;
    }

    .field-section div.row.field__input textarea {
      height: 150px;
    }

    .product-copy {
      background-color: transparent !important;
      background-size: 20px !important;
      &:hover,
      &:focus,
      &:active {
        background-color: transparent !important;
        background-size: 22px !important;
      }
    }

    .order-checkbox {
      margin-left: auto;
      margin-right: 5px;
    }

    .basic-field {
      display: flex;
      flex-wrap: wrap;
      background: white;

      .add-new-option-section {
        display: flex;

        .add-new-option-box {
          width: 100%;
        }

        .add-new-option-agr {
          min-width: 50px;
          height: var(--input-height);
          margin-top: 33px;
          margin-left: 5px;
          font-size: 30px !important;
          line-height: 10px;
          text-overflow: unset;
        }
      }
    }

    .select-agr {
      .field__label-required::after {
        content: "*";
        color: #f00;
        margin-left: 3px;
        font-size: var(--font-s);
        position: absolute;
      }

      .select-agr-error {
        color: red;
        font-family: var(--font-first);
        font-size: var(--font-s);
        min-height: 17px;
        display: block;
      }
    }

    .error-input {
      padding-bottom: 2px;
      border: 1px solid #f00;
    }

    .version-description {
      padding: 20px;
    }
  }

  .footer {
    .agreement-checkboxes {
      display: flex;
      flex-direction: column;
      gap: 5px;
      padding: 0 0 0 5px;
      margin-bottom: 10px;
    }

    .doc-details {
      padding: 10px 5px 15px;
      font-weight: 500;
      display: flex;
      text-align: left;
      flex-direction: column;

      div {
        padding-top: 5px;
      }

      span {
        font-weight: 600;
      }
    }

    .preview-btns {
      button.btn.icon-btn.view-button-template {
        margin: 5px;
      }
    }

    display: flex;
    flex-direction: column;

    button.square-btn {
      margin: 15px 5px;
      max-width: 200px;
      min-width: 175px;
    }

    span.checkbox-holder.show-older {
      margin: 5px;
    }

    .save-mapping {
      span > img {
        width: 17px;
        height: 17px;
        margin-right: 5px;
      }
    }
  }
}

.agr-product-prev-cost {
  text-decoration: line-through;
  display: inline-block;
  margin-right: 5px;
}

#redirect-template {
  margin-left: 5px;
  width: 16px;
  cursor: pointer;
}

#redirect-template:hover,
#redirect-template:focus {
  opacity: 0.5;
}

.quote-name-doc {
  line-height: var(--input-height);
  border-radius: 0;
  font-family: var(--font-first);
  font-size: var(--font-s);
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  letter-spacing: 0.4px;
  text-align: left;
  color: #333;
  padding: 0px 10px;
  background-color: var(--disabled);
  cursor: not-allowed;
}
